# List CLIC Objects Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. Endpoint: POST /clicmanager.fetch/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the Quote/Contract/Rebate Agreement/Compensation Plan you want to retrieve line items for. ## Query parameters: - `noComplexResults` (boolean) Set to true to exclude large results (e.g., charts, matrix table, etc.) from response. Use the /clicmanager.fetchoutput/{typedId}/{resultName} (e.g., /clicmanager.fetchoutput/2147490386.Q/FlexChart) to download the result separately. - `getMyItemsForReview` (boolean) The parameter is allowed only if Creation workflow is in Review step. - if set to true - the line items assigned to a line item group in the Review step of the Creation workflow are returned. - if set to false - the line items from other line item groups are returned. ## Request fields (application/json): - `endRow` (integer) - `oldValues` (object,null) - `operationType` (string) - `startRow` (integer) - `textMatchStyle` (string) - `data` (object) - `data.operator` (string) - `data._constructor` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (integer) - `response.data` (array) - `response.data.version` (integer) - `response.data.typedId` (string) - `response.data.clicId` (integer) - `response.data.inputs` (array) - `response.data.inputs.name` (string) - `response.data.inputs.label` (string) - `response.data.inputs.type` (string) - `response.data.inputs.parameterConfig` (object) - `response.data.inputs.parameterConfig.sortType` (string) - `response.data.inputs.parameterConfig.validationType` (string) - `response.data.inputs.parameterConfig.dataType` (string) - `response.data.inputs.formattingOptions` (object) - `response.data.inputs.value` (object) - `response.data.inputs.valueHint` (string) - `response.data.inputs.required` (boolean) - `response.data.inputs.valueOptions` (array) - `response.data.outputs` (array) - `response.data.outputs.resultName` (string) - `response.data.outputs.resultLabel` (string) - `response.data.outputs.result` (string) - `response.data.outputs.excludeFromExport` (boolean) - `response.data.outputs.warnings` (array) - `response.data.outputs.displayOptions` (integer) - `response.data.outputs.resultType` (string) - `response.data.outputs.resultGroup` (string) - `response.data.outputs.overrideAllowEmpty` (boolean) - `response.data.outputs.overridden` (boolean) - `response.data.outputs.overridable` (boolean) - `response.data.dirty` (boolean) - `response.data.lineId` (string) - `response.data.calculationStatus` (integer) - `response.data.editabilityStatus` (integer) - `response.data.startDate` (string) - `response.data.endDate` (string) - `response.data.payoutDate` (string) - `response.data.calculationBaseJson` (string) - `response.data.calculationBase` (object) - `response.data.calculationBase.includedCustomerGroups` (array) - `response.data.calculationBase.includedProductGroups` (array) - `response.data.calculationBase.includedSellerReferences` (array) - `response.data.calculationBase.excludedCustomerGroups` (array) - `response.data.calculationBase.excludedproductGroups` (array) - `response.data.calculationBase.excludedSellerReferences` (array) - `response.data.calculationBase.includedTimePeriods` (array) - `response.data.calculationBase.includedTimePeriods.timeUnit` (string) - `response.data.calculationBase.includedTimePeriods.single` (boolean) - `response.data.calculationBase.excludedTimePeriods` (array) - `response.data.calculationBase.otherFilters` (array) - `response.data.calculationBase.dateDimFieldName` (string) - `response.data.folder` (boolean) - `response.data.treeLabel` (string) - `response.data.createDate` (string) - `response.data.createdBy` (integer) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (integer) - `response.data.compensationConditionType` (string) - `response.data.compensationConditionTypeLabel` (string) - `response.endRow` (integer) - `response.totalRows` (integer) - `response.status` (integer)